# Interface DateSettings

Default settings that affect how dates are formatted and parsed.

interface DateSettings {
defaultFormat?: string;
defaultParseFormat?: string | string[];
}

#### Hierarchy (view full)

- DateSettings
  - DateFormatterProperties

#### Implemented by

- DateFormatter

#####
Index

### Properties

defaultFormat?
defaultParseFormat?

##
Properties

### `Optional` defaultFormat

defaultFormat?: string

The default format for formatting dates. See utilities/format/date!DateFormatter.format.

### `Optional` defaultParseFormat

defaultParseFormat?: string | string[]

Either a single format, or one of several possible formats that the input is expected to be in. If specified, the input must exactly match. The syntax is the same as for utilities/format/date!DateFormatter.format.